- Home
- API Enriched
- Tenant And Identity
- scim
- GET all users.
GET all users.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/scim/namespaces/system/v2/Users';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/scim/namespaces/system/v2/Users \ --header 'Authorization: <Authorization>'GET all users.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Filter to be used for filtering objects.
The number of entries after filter.
Start offset.
Members”]” A multi-valued list of strings indicating the names of resource attributes to be removed from the default set of attributes to return.
Responses
Section titled “Responses”A successful response.
ListUserResources list all the user objects.
object
Resources representing all the user objects.
Required: YES.
User object representing the user created.
object
Active specifies if user is active or not.
DisplayName for the user.
Emails for the user whether primary or secondary.
Email for user can be primary or secondary.
object
Primary boolean describing whether it is primary or not.
Type of email describing whether it is work or personal.
Value.
ExternalId specifies the ID for the user object in external system. Required: YES.
Groups to which user is part of. Required: YES.
UserGroup.
object
Display for the user group name.
ID of the group to which user belongs.
ID for user object. Required: YES.
object
Create date. Required: YES.
Last modification date and time. Required: YES.
[x-required] location for resource.
Type of resource. Required: YES.
Version for resource type. Required: YES.
object
Family name.
Formatted name is detailed name of person.
Given name of the person.
Prefix for the name. Mr Ms. Etc.
Suffix for the name like Jr Sr I II III etc.
Middle name of the person.
NickName for the user.
Roles defined for the user. Required: YES.
Schemas for user object as per scim spec 2.0. Required: YES.
UserName for the user. Required: YES.
ItemsPerPage The number of resources returned in a list response page
Required: YES.
Schemas for listing the user.
Required: YES.
StartIndex The 1-based index of the first result in the current set of list results.
Required: YES.
TotalResults for the search criteria.
Required: YES.
Example
{ "Resources": [ { "userType": "USER" } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example